package com.brilliance.isc.convert.mt2xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT299Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import org.junit.Test;

public class Mt299Test {
    @Test
    public void mt299_Test(){
        //构造参数传入MT报文类型
        MT299Creator mt299Creator=new MT299Creator("299");
        mt299Creator.setSendBic("PSBCCNBJXXX");
        mt299Creator.setRecvBic("CIPSCNSHXXX");
        mt299Creator.setTransactionReferenceNumber("12345678");  //20 16x
        mt299Creator.setRelatedReference("rr111111");    ////21 16x
        mt299Creator.setNarrative("message9999"+ Constans.CRLF+"RemittanceInformation");   //79 35*50x

        MtResult mtResult = MtCreatorManager.packMT(mt299Creator);
    }

    @Test
    public void mt29902_Test(){
        //构造参数传入MT报文类型
        MT299Creator mt299Creator=new MT299Creator("299");
        mt299Creator.setSendBic("PSBCCNBJXXX");
        mt299Creator.setRecvBic("CIPSCNSHXXX");
        mt299Creator.setTransactionReferenceNumber("infoddddddddddddddddddddd");  //20 16x
        mt299Creator.setRelatedReference("info");    ////21 16x
        mt299Creator.setNarrative("info"+ Constans.CRLF+"RemittanceInformation");   //79 35*50x

        MtResult mtResult = MtCreatorManager.packMT(mt299Creator);
    }
}
